
StocksAndFisheriesKB - Bug #12994

Group are not created in GRSF VRE

Dec 06, 2018 11:15 AM - Luca Frosini

Status: Rejected Start date: Dec 06, 2018

Priority: Normal Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

Related issues:

Related to StocksAndFisheriesKB - Task #12861: Purge old records of the publi... Closed Nov 12, 2018

History

#1 - Dec 06, 2018 11:26 AM - Luca Frosini

- Related to Task #12861: Purge old records of the public GRSF Catalogue added

#2 - Dec 06, 2018 12:46 PM - Luca Frosini

It seems an issue related to privileges of grsf.publisher with such catalogue:

2018-12-03 10:01:16,677 [Thread-63126] WARN  AssociationToGroupThread: The user grsf.publisher has not enough 

privileges to associate the dataset into group OR the group Fishing Pressure doesn't exist

#3 - Dec 06, 2018 12:46 PM - Luca Frosini

@francesco.mangiacrapa@isti.cnr.it can you please check it?

#4 - Dec 06, 2018 12:46 PM - Luca Frosini

2018-12-03 10:01:16,677 [Thread-63126] ERROR DataCatalogueImpl: Unable to check if this role was already set, 

please check your parameters! 

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-grsf.d4science.org/api/3/action/group_show?id=fishing-pressure&include_datasets=false  CkanRespons

e{error=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://c

kan-grsf.d4science.org/api/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-grsf.d4scie

nce.org, ckanToken=null}

    at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559)

    at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542)

    at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071)

    at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.isRoleAlreadySet(DataCatalogueImpl.jav

a:1195)

    at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.checkRoleIntoGroup(DataCatalogueImpl.j

ava:1228)

    at org.gcube.data_catalogue.grsf_publish_ws.utils.threads.AssociationToGroupThread.run(AssociationToGroupT

hread.java:74)

2018-12-03 10:01:16,677 [Thread-63126] WARN  AssociationToGroupThread: The user grsf.publisher has not enough 

privileges to associate the dataset into group OR the group Fishing Pressure doesn't exist 

2018-12-03 10:01:16,677 [Thread-63126] DEBUG AssociationToGroupThread: Setting role ADMIN into group grsf-trac

eability-flag to user grsf.publisher

#5 - Dec 06, 2018 04:10 PM - Luca Frosini

- Status changed from In Progress to Rejected

- % Done changed from 0 to 100

The GRSF service automatically associates a group to a record using some defined fields. If the group does not exist the group is not created.

Actually, the CAKN instance doesn't have any group si GRSF service cannot associate the record with the group.

@francesco.mangiacrapa@isti.cnr.it is going to create the missing groups.

then we need to republish the records.
